# dokuwiki-tweaks-rjt
A collection of tweaks I've made to my personal wiki. Currently extra interwiki links/icons, acronyms, entities (special character replacement) and a customised stylesheet.

## Installation
Add contents to your wiki's base directory.

When adding new interwiki icons you *may* need to clear-out the wiki's cache with `rm -rf data/cache/*/*.{gif,png,css}`

## Contents

### Interwiki Links

- `conf/interwiki.local.conf`
Definitions for interwiki links.
- `lib/images/interwiki/*.gif|png`
Icons for interwiki links.

Icons and definitions for:
- Animal Crossing Wiki
- Arch, Arch wiki, AUR ([just currently?] same icon)
- Blueberry Soft
- Chocolatey packages
- Discogs master entries
- Duck Duck Go search
- Firefox Add-ons
- Game Making Tools Wiki
- Github
- Glorious Trainwrecks
- IMDB film pages
- Itch.io
- Letterboxd film pages
- Mobygames
- ryliejamesthomas.net
- Select Button forum (past version)
- Select Button forum (current version)
- Select Button Wiki
- Steam
- The Movie Database
- WikiIndex
- XMPP links
- Youtube videos

### Acronyms

- `conf/acronyms.local.conf`

Definitions for:

- AUR
- CLI
- OH&S
- P2P
- VRML
- WHS

### Entities

- `conf/entities.local.conf`

Auto-convert to:

- `!?`	>	‽
- `?!`	>	‽
- `` ```` ``	>	〃
- `****`	>	⁂
- `-*`	>	❧
- `o->`	>	☞
- `-s-`	>	§
- `nbjp`	>	※
- `\_`	>	`&nbsp;` (non-breaking space)
- `^o`	>	°
- `----`	>	`<hr>` (horizontal rule)

### Stylesheet

- `conf/userall.css`

Effects:
- Removed header image
- Add borders to main content, breadcrumbs and sidemenu (aside)
- Spacing for tags section
- Style for pre, code etc. tags
- Removed all them box-shadows
- Made the link colour in the tag cloud match the rest of the wiki
- Show tag icon before links to tag pages
